angular.module('starter.controllers', [])


//向导页
.controller('TutorialCtrl', function($scope, $state,$http,$stateParams,$localStorage,$ionicSlideBoxDelegate) {
       
        var startApp = function() {
            $state.go('index', {});
        };
            
            
            if($localStorage.get("baoshi")==1) {
                // 向导页面只显示一次
                startApp();
            }else{
                //alert($localStorage.get("baoshi"));
            
                $http({
                  method  : 'post',
                  url:hostlocal+"/mobile/getBanner.do",
                  params: {mark:3}
                }).success(function(result){
                     if(result.code==1){
                         if(result.data.length>0){
                             $scope.toturiallist = result.data;
                             $ionicSlideBoxDelegate.update();
                         }else{
                            startApp();
                         }

                     }
                 }).error(function(error){
                  alert("失败"+JSON.stringify(error));
                })
            }
        
            
            // "立即体验"按钮
            $scope.gotoMain = function() {
                $localStorage.set("baoshi",1);
              startApp();
            }

})


.controller('DashCtrl', function($scope,$timeout,$http,$state,$localStorage,$ionicPopup,jmsAppService,$ionicLoading) {
       var ref;
       $timeout(function(){
            ref = cordova.InAppBrowser.open(hostlocal+'/mobile/index.html','_blank', 'location=no,toolbar=no');
            ref.addEventListener('loadstart', loadstartCallback);
                     
        },100);
                     
    function loadstartCallback(event) {
        if(isContains(event.url,'login')){
            //alert('Loading : '  + event.url);
            ref.close();
            $state.go('login');
        }
        

    }


    function isContains(str, substr) {
            return str.indexOf(substr) >= 0;
    }

    
            
})






.controller('loginCtrl', function($scope,$timeout,$http,$ionicLoading,$localStorage,$state) {

        $scope.myvalue = false;  
        var ref;
        $scope.wechat_login = function(){
                $ionicLoading.show({
                   template: '登录中，请稍后...',
               });
            // 授权读取用户信息
            var scope = "snsapi_userinfo",
            state = "_" + ( + new Date());
            // 第一步：请求CODE
            Wechat.auth(scope, state, function (response) {
            //alert(JSON.stringify(response));
            // 第二步：通过code获取access_token   在这里就从微信返回了app，以下都是在app里进行的操作了
            //alert("hostlocal=============="+hostlocal);
              $http({
                  method  : 'get',
                  url:hostlocal+"/mobile/getWeChatLoginInfo.do?code="+response.code,
                  params: {}
              }).success(function(userinfo){

                  //alert("登录成功userinfo===="+JSON.stringify(userinfo));
                   $http({
                         method  : 'get',
                         url:hostlocal+"/mobile/appLogin.do",
                         params: {wxunionid:userinfo.unionid,nick_name:userinfo.nickname,sex:userinfo.sex,wxopenid:userinfo.openid,headimage:userinfo.headimgurl}
                   }).success(function(result){
                      //alert(JSON.stringify(result));
                      if(result.code==1){
                        $ionicLoading.hide();
                        $localStorage.set('unionid', userinfo.unionid);
                        //$localStorage.set('userId', result.data.id);
                              //alert(userinfo.unionid);
                              ref = cordova.InAppBrowser.open(hostlocal+'/mobile/index.html?ajll=0&unionId='+userinfo.unionid,'_blank', 'location=no,toolbar=no');
                        ref.addEventListener('loadstart', loadstartCallback);
                        $scope.myvalue=true;
                       
                      }else{
                              $ionicLoading.hide();
                              alert("登录失败");
                      }
                   }).error(function(error){
                            $ionicLoading.hide();
                            alert("失败==1");
                   })

              }).error(function(error){
                    $ionicLoading.hide();
                    alert("失败==2");
               })
            
            }, function (reason) {
                $ionicLoading.hide();
            });

        }
        
            
        $scope.user = {};
        $scope.loginIn = function(user){
            var loginPopup = $ionicLoading.show({
                template: '正在登陆，请稍后...',
            });
            if(user.username==null||user.password==null||user.username.length==0||user.password.length==0){
                var myPopup = $ionicLoading.show({
                     template: '用户名或密码不能为空...',
                 });
                $timeout(function() {
                         $ionicLoading.hide();
                 }, 1500);
                return;
            }
            
            var filterEmail  = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
            var regMobile = /^0?1[0-9][0-9]\d{8}$/;
            if (!filterEmail.test(String(user.username))&&!regMobile.test(String(user.username))){
                var myPopup = $ionicLoading.show({
                     template: '请输入正确的手机...',
                 });
                $timeout(function() {
                     $ionicLoading.hide();
                 }, 1500);
                return;
            }
            
            $http({
                  method  : 'get',
                  url:hostlocal+"/mobile/appUserNameAndPasswordLogin.do?mobile="+user.username+"&password="+user.password+"&source_system=0",
                  params: {}
                  }).success(function(result){
                     if(result.code==1){
                             //alert(JSON.stringify(result));
                             //alert(result.data.id+"====="+result.data.wxunionid);
//                                     $localStorage.set('userId', result.data.id);
//                                     $localStorage.set('unionid', result.data.unionid);
                         ref = cordova.InAppBrowser.open(hostlocal+'/mobile/index.html?ajll=0&unionId='+result.data.wxunionid+'&mobile='+result.data.mobile,'_blank', 'location=no,toolbar=no');
                         ref.addEventListener('loadstart', loadstartCallback);
                         $ionicLoading.hide();
                     }else{
                        $ionicLoading.show({
                            template: result.msg,
                        });
                        $ionicLoading.hide();
                     }
                 }).error(function(error){
                      alert("失败");
                  })
            
        }
        
		

   function loadstartCallback(event) {
    if(isContains(event.url,'login')){
        //alert('Loading : '  + event.url);
        ref.close();
        $state.go('login');
    }
  

  }          
     

		function isContains(str, substr) {
			return str.indexOf(substr) >= 0;
		}
	
        
            //返回首页
            $scope.backIndex = function(){
            ref = cordova.InAppBrowser.open(hostlocal+'/mobile/index.html','_blank', 'location=no,toolbar=no');
            ref.addEventListener('loadstart', loadstartCallback);
            }
            
            //快速登录
            $scope.fastLogin = function(){
                ref = cordova.InAppBrowser.open(hostlocal+'/mobile/fastLogin.do','_blank', 'location=no,toolbar=no');
                ref.addEventListener('loadstart', loadstartCallback);
            }
            
            $scope.findPass = function(){
                ref = cordova.InAppBrowser.open(hostlocal+'/mobile/member/repasswordCode.do','_blank', 'location=no,toolbar=no');
                ref.addEventListener('loadstart', loadstartCallback);
            }
	
            
});
