// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
var newVersion=0;
var hostlocal="https://www.anjulele.com";
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services'])

.run(function($ionicPlatform,$ionicPopup,$location,$ionicHistory) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
                       
    if (window.StatusBar) {
         StatusBar.backgroundColorByHexString("#C77D38");                   
                       
    }
    
  });



//主页面显示退出提示框
  $ionicPlatform.registerBackButtonAction(function (e) {

    e.preventDefault();

    function showConfirm() {
      var confirmPopup = $ionicPopup.confirm({
        title: '<strong>退出应用?</strong>',
        template: '你确定要退出应用吗?',
        okText: '退出',
        cancelText: '取消'
      });

      confirmPopup.then(function (res) {
        alert(JSON.stringify(res))
        if (res) {
          ionic.Platform.exitApp();
        } else {
          // Don't close
        }
      });
    }
  	/*if($location.path() =='/login'||$location.path() =='/'){
  		showConfirm();
  	}else if ($ionicHistory.backView()) {
    	$ionicHistory.goBack();
    } else {
      showConfirm();
    }*/
    showConfirm();
    return false;
  }, 101);



})

.config(function($stateProvider, $urlRouterProvider) {


  $stateProvider


	   //向导页
    .state('tutorial', {
       url: '/',
       templateUrl: 'templates/tutorial.html',
       controller: 'TutorialCtrl'
       })



  .state('index', {
    url: '/index',
     templateUrl: 'templates/index.html',
     controller: 'DashCtrl'
  })

	 
        
	.state('login', {
		   url: '/login',
		   templateUrl: 'templates/login.html',
		   controller: 'loginCtrl'
	 })



  
;

  // if none of the above states are matched, use this as the fallback
  //$urlRouterProvider.otherwise('/index');
        $urlRouterProvider.otherwise('/');

});
